Unit tiis1r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, IDS6R_p, IIS1R_p;

function tiis1r: String;

implementation

function tiis1r: String;
var
N,NPAR,_i,IERR :Integer;
T0,X0,Y0 :Real;
T :Array [0..16] of Real;
X2 :Array [0..16] of Real;
Y2 :Array [0..16] of Real;
F :Array [0..16] of Real;
G :Array [0..16] of Real;
H :Array [0..16] of Real;
const
X :Array [0..16] of Real = ( -1.0,-0.75,-0.5,-0.25,0.0,0.25,0.5,0.75,1.0,
0.75,0.5,0.25,0.0,-0.25,-0.5,-0.75,1.0 );
Y :Array [0..16] of Real = ( 0.0,-0.66143775,-0.8660253,-0.9682457,-1.0,
-0.9682457,-0.8660253,-0.66143775,0.0,0.66143775,
0.8660253,0.9682457,1.0,0.9682457,0.8660253,
0.66143775,0.0 );
begin
Result := '';  {   }
N := 17;
NPAR := 1;
IDS6R(N,NPAR,T,X,X2,Y,Y2,F,G,H);
Result := Result + #$0D#$0A;
for _i:=0 to 16 do
 begin
  Result := Result + Format('%20.16f ',[X2[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 16 do
 begin
  Result := Result + Format('%20.16f ',[Y2[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
T0 := 1.0;
N := 17;
IIS1R(T0,N,T,X,Y,X2,Y2,X0,Y0,IERR);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
Result := Result + Format(' %20.16f %20.16f ',[X0,Y0]) + #$0D#$0A;
UtRes('tiis1r',Result);  {     tiis1r.res }
exit;
end;

end.
